"AssertionError: Torch not compiled with CUDA enabled" in spite upgrading to CUDA version

I figured out this is a popular question, but still I couldn't find a solution for that. I'm trying to run a simple repo Here which uses PyTorch. Although I just upgraded my Pytorch to the latest...

HDF5 library version error - HDF5 ver 1.10.4

I'm trying to import some packages with spyder (OS x64), Anaconda and pyton 3.x The error is pretty famous in the internet. The solution proposed is to match the version of the library 1.10.5 with...

ubuntu, python, ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:852)

I am running some sample code to test out the installation of Tensorflow for running on a GPU. Python works fine and I can import Tensorflow without any errors. However, when I try to load a...

Keras model.load_weights() error: ValueError: Invalid high library version bound (invalid high library version bound)

I use Docker from Gadgetron to realize a Gadget with Keras. Theano as backend. Here is the Dockerfile and the result of pip list is Package Version --------------------...

ERROR: You must give at least one requirement to install -- when running: pip install --upgrade --no-binary hdbscan

I am trying to install hdbscan in my PC which runs Windows 10 and has installed Python 3.6. My first attempt failed: (base) C:\WINDOWS\system32>pip install hdbscan --user Collecting hdbscan ...

django.db.utils.InterfaceError: (0, '') when using django model

I have django.db.utils.InterfaceError: (0, '') error on django. I googled around and found this error is related with django mysql connection. What I have done is just like this , from...

Deploy python app to Heroku "Slug Size too large"

I'm trying to deploy a Streamlit app written in python to Heroku. My whole directory is 4.73 MB, where 4.68 MB is my ML model. My requirements.txt looks like...

Python/Anaconda can not locate installed modules in conda environments

I am using anaconda as an environment manager for my code. When i installed anaconda and created the environments everything worked fine. But when i came back the next day and activated the...

AttributeError: module 'tensorflow' has no attribute 'compat' when loading tf.compat.v1.train.SessionRunHook

I can see that this question has been asked before here tensorflow-has-no-attribute-compat but the answer given was to Microsoft Visual C++ 2015-2019 Redistributable (x64) It did not work for the...

module 'tensorflow' has no attribute 'Session' cannot resolve

Please please please help me out here! I cannot resolve it! so... my python version is Python 3.5.6 and Anaconda version is Conda 4.8.3. I am working with Jupyter Notebook. I am working in...

Graph ops missing from the python registry

I am trying to run the example code from bertseq2seq/roberta24_bbc: import tensorflow.compat.v1 as tf import tensorflow_hub as hub import sentencepiece text_generator = hub.Module( ...

Stable Baselines: DQN Not performing properly?

I have problem in using DQN for a diagonal line and sin wave as price fluctuation. When the price goes up, there will be a reward and it is colored as green in the chart. When the price goes down...

Trouble installing turbodbc

I am attempting to install turbodbc on my Ubuntu 20.10 machine. My specs are as follows: pip 20.2.4, Python 3.8.5 , gcc (Ubuntu 10.2.0-13ubuntu1) 10.2.0 I have attempted the solutions provided in...

No module named 'tensorflow_probability' when it's installed

I am having the same issue as many others and their solutions haven't worked. Im using tensorflow 2.2.0 and tensorflow probability 0.10.0. Package Version ----------------------...

Pipenv fails locking when installing TensorFlow 2.4.1

2021-02-06: I ended up with installing TensorFlow using pip. The original question is shown below. As I mentioned in the title, pipenv fails to lock when installing TensorFlow (ver. 2.4.1). I...

Tensorflow stuck on first epoch

My execution is stuck on the following step I got GTX 3090 on Python 3.7 on windows 10. I installed cuda, cudnn and tensorflow-gpu using conda as instructed from here conda install...

Call to CreateProcess failed. Error code: 2 (TensorFlow)

When trying to use the GPU enabled tensorflow, I run into some error messages that seem to limit my ability to run my GPU despite many success messages in the log (see below). In terms of...

ValueError from detectron2 import model_zoo

I am trying to install detectron2 inside a Docker container to use it into a project, but after being able to install all the dependencies, I get an error when I try to import model_zoo. Full...

Im trying to build mediapipe on my jetson nano

So Im trying to build a mediapipe whl file for my jetson nano by following this guide https://github.com/jiuqiant/mediapipe_python_aarch64 I am successful on building it with my raspberry pi 4. By...

tensorflow can not be imported

I recently created a new anaconda environment to install the latest version of Tensorflow. after that, I used the following command conda install tensorflow. I reinstalled tensorflow using this...

tensorflow dependencies continuously gives me errors in colab during installation of deepspeech environment

when I run the following command on Google Colab !pip3 install --upgrade pip==20.0.2 wheel==0.34.2 setuptools==46.1.3 !pip3 install --upgrade --force-reinstall -e . Got an error ERROR: pip's...

Sudden Tensorflow / Keras Google Colab dependency problems `AttributeError: module 'tensorflow._api.v1.compat.v2' has no attribute '__internal__'`

I have running a machine learning model (Matterport's Mask R-CNN) in google colab for a couple of weeks. All of a sudden today I am unable to run any of my notebooks due to I think some kind of...

module 'tensorflow._api.v1.compat.v2' has no attribute '__internal__' google colab error

I am running a tensorflow model on google colab. Today, I got this error: Using TensorFlow backend. Traceback (most recent call last): File "train.py", line 6, in <module> from...

Cannot install google-api-core package in our python app (Google Cloud Platform) due to conflicting dependencies (Python 3)

When I tried to install the Google Core API package, it always gets errors for every different version of this package. The app is run in Python 3, and I got the following logs: The user requested...

ERROR: CMake must be installed to build dlib

While using docker build -t /flask-docker to create an image to later upload it to heroku, I get the following errors: #8 417.3 ERROR: CMake must be installed to build dlib #8 417.3 #8 417.3 ...

Cannot import installed packages in Jupyter Notebook using Miniforge Conda Environment on M1 Mac

I have a M1 Mac (Apple Silicon, ARM) and I followed the instructions given by Apple here to install Miniforge, create a conda environment called tf_env and install Tensorflow on it. I wanted to...

ImportError: Could not find the DLL(s) 'msvcp140.dll or msvcp140_1.dll'. Even when the files are located in the %PATH% directory

I receive the following error when importing tensorflow (base) PS C:\Users\Rostyslav\GIt\GNN-GCP> python run_model.py --train --save Traceback (most recent call last): File "run_model.py", line...

Tensorflow Object Detection Api M1 Macbook Conflict Error

Machine: MacBook Air M1 2020 OS: macOs BigSur 11.4 Python version of venv: Python 3.8.6 Tensorflow version: ATF Apple Tensorflow 0.1a3 Pip version: 21.2.4 I have installed Tensorflow from...

Python: matplotlib.pyplot.show() is not showing the plot

import matplotlib.pyplot as plt plt.plot([1,2,3]) plt.show() input("Press enter to continue...") If I run the script above within VS Code, or even within command prompt, the plot canvas only...

Getting DLL error when running tensorflow/keras program on python gpu 3.8

I am trying to run my simple AI program but I keep getting this DLL error: ImportError: Could not find the DLL(s) 'msvcp140_1.dll'. TensorFlow requires that these DLLs be installed in a...